/*
 * MCP4921.h
 *
 *  Created on: 01.04.2013
 *      Author: DL9MWE
 */

#ifndef MCP4921_H_
#define MCP4921_H_


#define	MAX_DAC_VALUE	4096	// maximaler Eingabe-Wert fr 12-Bit DAC


// IO-Portbelegung
#define	MCP4921__CS	BIT3	// _CS an P1.3
#define	MCP4921_SCK	BIT2	// SCK an P1.2
#define	MCP4921_SDI	BIT1	// SDI an P1.2

// Prototypes
void vSPI_init(void);
void MCP4921_setDAC_value(unsigned int value);
void MCP4921_txWord(unsigned int data);

#define _GA		BITD
#define _SHDN	BITC


#endif /* MCP4921_H_ */
